<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceRef Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_xs_device_ref-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceRef Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A references counted class for <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a>. This class can be used to have a reference counted pointer to an <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object as returned by <a class="el" href="struct_xs_control.html" title="High level Motion Tracker (MT) management class. ">XsControl</a>. When used, <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> pointer will only be deleted when its reference count is zero. Enabling classes which use the device pointer to terminate gracefully before the pointer is deleted.  
 <a href="class_xs_device_ref.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af8cad99dc09187e1670dcefe489b3da7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8cad99dc09187e1670dcefe489b3da7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#af8cad99dc09187e1670dcefe489b3da7">XsDeviceRef</a> ()</td></tr>
<tr class="memdesc:af8cad99dc09187e1670dcefe489b3da7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Empty constructor. <br /></td></tr>
<tr class="separator:af8cad99dc09187e1670dcefe489b3da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06a8e0cd6a51c08bdd6ff268272a3bca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06a8e0cd6a51c08bdd6ff268272a3bca"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a06a8e0cd6a51c08bdd6ff268272a3bca">XsDeviceRef</a> (<a class="el" href="struct_xs_device.html">XsDevice</a> *device)</td></tr>
<tr class="memdesc:a06a8e0cd6a51c08bdd6ff268272a3bca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor accepting <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> pointer This calls XsDevices' addRef. <br /></td></tr>
<tr class="separator:a06a8e0cd6a51c08bdd6ff268272a3bca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6812fe8fb7be3ec065ca0525eec4c8e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6812fe8fb7be3ec065ca0525eec4c8e0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a6812fe8fb7be3ec065ca0525eec4c8e0">XsDeviceRef</a> (const <a class="el" href="class_xs_device_ref.html">XsDeviceRef</a> &amp;deviceRef)</td></tr>
<tr class="memdesc:a6812fe8fb7be3ec065ca0525eec4c8e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor. <br /></td></tr>
<tr class="separator:a6812fe8fb7be3ec065ca0525eec4c8e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ccc2db343f27739a5ce496842917665"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ccc2db343f27739a5ce496842917665"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a5ccc2db343f27739a5ce496842917665">~XsDeviceRef</a> (void)</td></tr>
<tr class="memdesc:a5ccc2db343f27739a5ce496842917665"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor This calls XsDevices' removeRef. <br /></td></tr>
<tr class="separator:a5ccc2db343f27739a5ce496842917665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd430cce880c160660c9a335709f2c4a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_device.html">XsDevice</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#abd430cce880c160660c9a335709f2c4a">operator-&gt;</a> () const </td></tr>
<tr class="memdesc:abd430cce880c160660c9a335709f2c4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure dereference. Return m_device pointer.  <a href="#abd430cce880c160660c9a335709f2c4a">More...</a><br /></td></tr>
<tr class="separator:abd430cce880c160660c9a335709f2c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d8b08625cb2099f3c7d085bae5e9648"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a6d8b08625cb2099f3c7d085bae5e9648">operator==</a> (<a class="el" href="class_xs_device_ref.html">XsDeviceRef</a> const &amp;other) const </td></tr>
<tr class="memdesc:a6d8b08625cb2099f3c7d085bae5e9648"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equal to operator. Compare device pointers.  <a href="#a6d8b08625cb2099f3c7d085bae5e9648">More...</a><br /></td></tr>
<tr class="separator:a6d8b08625cb2099f3c7d085bae5e9648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f870fae4fcbc59e05a3720e45e4816b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a1f870fae4fcbc59e05a3720e45e4816b">operator!=</a> (<a class="el" href="class_xs_device_ref.html">XsDeviceRef</a> const &amp;other) const </td></tr>
<tr class="memdesc:a1f870fae4fcbc59e05a3720e45e4816b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Not equal to operator. Compare device pointers.  <a href="#a1f870fae4fcbc59e05a3720e45e4816b">More...</a><br /></td></tr>
<tr class="separator:a1f870fae4fcbc59e05a3720e45e4816b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a109f272b502c5e96f48a1192e7f2c918"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a109f272b502c5e96f48a1192e7f2c918">operator==</a> (const <a class="el" href="struct_xs_device.html">XsDevice</a> *other) const </td></tr>
<tr class="memdesc:a109f272b502c5e96f48a1192e7f2c918"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equal to operator. Compare device pointers.  <a href="#a109f272b502c5e96f48a1192e7f2c918">More...</a><br /></td></tr>
<tr class="separator:a109f272b502c5e96f48a1192e7f2c918"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2398a7dd26e92cdec6f6e5cdadee4fa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#ab2398a7dd26e92cdec6f6e5cdadee4fa">operator!=</a> (const <a class="el" href="struct_xs_device.html">XsDevice</a> *other) const </td></tr>
<tr class="memdesc:ab2398a7dd26e92cdec6f6e5cdadee4fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Not equal to operator. Compare device pointers.  <a href="#ab2398a7dd26e92cdec6f6e5cdadee4fa">More...</a><br /></td></tr>
<tr class="separator:ab2398a7dd26e92cdec6f6e5cdadee4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4740d23eaa4a09676f6b942e52ad7ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4740d23eaa4a09676f6b942e52ad7ec"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#ac4740d23eaa4a09676f6b942e52ad7ec">operator XsDevice *</a> ()</td></tr>
<tr class="memdesc:ac4740d23eaa4a09676f6b942e52ad7ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indirection operator. Return device pointer. <br /></td></tr>
<tr class="separator:ac4740d23eaa4a09676f6b942e52ad7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56ca74cc654bdf61dca9c96780132a1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56ca74cc654bdf61dca9c96780132a1b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a56ca74cc654bdf61dca9c96780132a1b">operator!</a> () const </td></tr>
<tr class="memdesc:a56ca74cc654bdf61dca9c96780132a1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logical negation operator. <br /></td></tr>
<tr class="separator:a56ca74cc654bdf61dca9c96780132a1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac52bfcf198294b73f743d413eb96ef2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac52bfcf198294b73f743d413eb96ef2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#aac52bfcf198294b73f743d413eb96ef2">addRef</a> (void)</td></tr>
<tr class="memdesc:aac52bfcf198294b73f743d413eb96ef2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Call XsDevices' addRef. <br /></td></tr>
<tr class="separator:aac52bfcf198294b73f743d413eb96ef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c2a2891871ca666c239b68848a0877"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33c2a2891871ca666c239b68848a0877"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#a33c2a2891871ca666c239b68848a0877">removeRef</a> (void)</td></tr>
<tr class="memdesc:a33c2a2891871ca666c239b68848a0877"><td class="mdescLeft">&#160;</td><td class="mdescRight">Call XsDevices' removeRef. <br /></td></tr>
<tr class="separator:a33c2a2891871ca666c239b68848a0877"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:abb5fbb40953449f1d4d75532386c2a1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb5fbb40953449f1d4d75532386c2a1d"></a>
<a class="el" href="struct_xs_device.html">XsDevice</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_xs_device_ref.html#abb5fbb40953449f1d4d75532386c2a1d">m_device</a></td></tr>
<tr class="memdesc:abb5fbb40953449f1d4d75532386c2a1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The referenced <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a>. <br /></td></tr>
<tr class="separator:abb5fbb40953449f1d4d75532386c2a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A references counted class for <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a>. This class can be used to have a reference counted pointer to an <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object as returned by <a class="el" href="struct_xs_control.html" title="High level Motion Tracker (MT) management class. ">XsControl</a>. When used, <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> pointer will only be deleted when its reference count is zero. Enabling classes which use the device pointer to terminate gracefully before the pointer is deleted. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1f870fae4fcbc59e05a3720e45e4816b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_xs_device_ref.html#a56ca74cc654bdf61dca9c96780132a1b">XsDeviceRef::operator!</a>= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_xs_device_ref.html">XsDeviceRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Not equal to operator. Compare device pointers. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The pointer to compare device pointer to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the pointers are not equal </dd></dl>

</div>
</div>
<a class="anchor" id="ab2398a7dd26e92cdec6f6e5cdadee4fa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_xs_device_ref.html#a56ca74cc654bdf61dca9c96780132a1b">XsDeviceRef::operator!</a>= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device.html">XsDevice</a> *&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Not equal to operator. Compare device pointers. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The pointer to compare device pointer to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the pointers are not equal </dd></dl>

</div>
</div>
<a class="anchor" id="abd430cce880c160660c9a335709f2c4a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_device.html">XsDevice</a>* XsDeviceRef::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Structure dereference. Return m_device pointer. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> pointer </dd></dl>

</div>
</div>
<a class="anchor" id="a6d8b08625cb2099f3c7d085bae5e9648"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceRef::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_xs_device_ref.html">XsDeviceRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Equal to operator. Compare device pointers. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The pointer to compare device pointer to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the pointers are equal </dd></dl>

</div>
</div>
<a class="anchor" id="a109f272b502c5e96f48a1192e7f2c918"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceRef::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device.html">XsDevice</a> *&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Equal to operator. Compare device pointers. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The pointer to compare device pointer to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the pointers are equal </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
